Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class BpelObject4WSDL

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.BpelObject4WSDL

All Implemented Interfaces:
  java.io.Serializable, javax.wsdl.extensions.ExtensibilityElement

Direct Known Subclasses:
  PartnerLinkType, PartnerLinkType.Role, PartnerLinkType.Role11.PortType11, Property, PropertyAlias

    public abstract class BpelObject4WSDL

extends BpelObject
implements javax.wsdl.extensions.ExtensibilityElement, java.io.Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`BpelObject4WSDL(org.w3c.dom.Element el)`

Method Summary
`javax.xml.namespace.QName` | `getElementType()`
`java.lang.Boolean` | `getRequired()`
`java.lang.String` | `getTargetNamespace()`
`void` | `setElementType(javax.xml.namespace.QName eltype)`
`void` | `setRequired(java.lang.Boolean required)`
`void` | `setTargetNamespace(java.lang.String tns)`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BpelObject4WSDL

    public BpelObject4WSDL(org.w3c.dom.Element el)

Method Detail

### getElementType

    public javax.xml.namespace.QName getElementType()

  Specified by:
    `getElementType` in interface `javax.wsdl.extensions.ExtensibilityElement`

### setRequired

    public void setRequired(java.lang.Boolean required)

  Specified by:
    `setRequired` in interface `javax.wsdl.extensions.ExtensibilityElement`

### setElementType

    public void setElementType(javax.xml.namespace.QName eltype)

  Specified by:
    `setElementType` in interface `javax.wsdl.extensions.ExtensibilityElement`

### getRequired

    public java.lang.Boolean getRequired()

  Specified by:
    `getRequired` in interface `javax.wsdl.extensions.ExtensibilityElement`

### setTargetNamespace

    public void setTargetNamespace(java.lang.String tns)

### getTargetNamespace

    public java.lang.String getTargetNamespace()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD